/*CSS Reset Rule*/
*{
  margin: 0;
  padding: 0;
  box-shadow: border-box;
}
#body {
 /*background-image: url("https://image.lexica.art/full_jpg/2e652858-c880-44f6-a733-e8e0cc1fe879");*/
 background-color: #8E9B90;
}

.cardHighlight {
  min-height: 100%;
}

/* registerForm.css */
.register-form {
  max-width: 600px;
  margin: 0 auto;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 5px;
  background-color: #f9f9f9;
}

.register-form h1 {
  text-align: center;
  margin-bottom: 20px;
  color: #333;

}

.register-form label {
  display: block;
  font-weight: bold;
  margin-bottom: 5px;
  color: #555;
}

.register-form input {
  width: 100%;
  padding: 8px;
  margin-bottom: 15px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.register-form button {
  width: 100%;
  margin-top: 15px;
}

/* Login Form */
/* Center the login form */
.my-login-form {
  max-width: 600px;
  margin: 0 auto;
  padding: 20px;

}

/* Add some spacing between form elements */
.my-login-form .form-group {
  margin-bottom: 15px;
}

/* Style the login button */
.my-login-form #submitBtn {
  width: 100%;
}

/* Style the login button when disabled */
.my-login-form #submitBtn:disabled {
  opacity: 0.6;
}

/* Align the login button to the center */
.my-login-form .d-grid {
  gap: 10px;
}

/* Optional: Add a background color to the login form */
.my-login-form {
  background-color: #f9f9f9;
  border: 1px solid #ddd;
  border-radius: 5px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

/* Add Product Style */
/* Center the form in the page */
.form-container {
  max-width: 600px;
  margin: 0 auto;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 5px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

/* Style the form labels */
.form-label {
  font-weight: bold;
}

/* Style the form inputs */
.form-control {
  width: 100%;
  padding: 8px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 3px;
}

/* Style the Submit button */
#submitBtn {
  width: 100%;
  padding: 10px;
  color: #fff;
  background-color: #007bff;
  border: none;
  border-radius: 3px;
  cursor: pointer;
}

/* Disable the Submit button when not active */
#submitBtn[disabled] {
  background-color: #ccc;
  cursor: not-allowed;
}

#cards {
  grid-template-columns: repeat(3, 1fr);
}

#addProduct {
  background-color: white;
}

.profile {
  background-color: #93C0A4;
}


/* Set User as Admin */
/* styles.css */

.updateUserAdmin-container {
  max-width: 400px;
  margin: 0 auto;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 5px;
  background-color: #f9f9f9;
}

h2 {
  text-align: center;
  margin-bottom: 20px;
}

.form-group {
  margin-bottom: 15px;
}

label {
  display: block;
  margin-bottom: 5px;
  font-weight: bold;
}

.form-control {
  width: 100%;
  padding: 8px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

label.checkbox-label {
  display: flex;
  align-items: center;
}

.checkbox-label input[type="checkbox"] {
  margin-right: 5px;
}

.updateUser {
  display: block;
  width: 100%;
  padding: 10px;
  border: none;
  border-radius: 5px;
  background-color: #007bff;
  color: #fff;
  cursor: pointer;
}

.alert {
  margin-top: 15px;
  padding: 10px;
  border-radius: 5px;
  font-weight: bold;
}

.alert-danger {
  background-color: #f44336;
  color: #fff;
}

.alert-success {
  background-color: #4caf50;
  color: #fff;
}


